scilab-cli(1)

NAME
scilab, scilab-cli and scilab-adv-cli - Scilab shell

SYNOPSIS
scilab <arguments>

OPTIONS
A complete list of options is included below.

  General options

-args <rest>
    Accept all extra arguments and make them available through sciargs

-display <display> (or -d <display>)
    Use the given server display (under Xwindow systems)

-e <instruction>
    Execute the scilab instruction given in argument (-e and -f arguments are mutually exclusive.)

-f <file>
    Execute the scilab script given in argument (-e and -f arguments are mutually exclusive.)

-quit
    Force scilab exit after execution of script from -e or -f argument (this flag is ignored if it is not used with -e or -f argument)

-l <lang>
    change the language of scilab (default : en_US)

-nocolor
    Remove the color in the cli and adv-cli modes

-nw Enable console mode

-nwni (or -nogui)
    Enable terminal mode

  Developer Trace arguments

--parse-trace
    Display bison state machine evolution

--AST-trace
    Display ASCII-art AST to be human readable

--pretty-print
    Display pretty-printed code, standard Scilab syntax.

  Developer Timer arguments

--AST-timed
    Time each AST node

--timed
    Time global execution

  Developer Debug arguments

--context-dump
    Display context status

--exec-verbose
    Display command before running it.

-nb Do not display Scilab loading on start

-noatomsautoload
    Do not load ATOMS installed module

--no-exec
    Only do Lexing/parsing do not execute instructions

-nouserstartup
    Do not execute the user startup files SCIHOME/.scilab or SCIHOME/scilab.ini

-ns Don't execute etc/scilab.start (will disable many features - only use if you know what you are doing)

--timeout <delay>
    Kill the Scilab process after the given delay

  Developer arguments

-debug
    Start Scilab under gdb (define the variable SCILAB_GDB_OPT to add custom arguments to gdb)

-debug-kdbg
    Start Scilab under kdbg

-profiling
    Start Scilab under valgrind (define the variable SCILAB_VALGRIND_OPT to add custom arguments to valgrind and override the existing valgrind arguments)

-profiling-visu
    Start Scilab under callgrind (define the variable SCILAB_VALGRIND_OPT to add custom arguments to callgrind and override the existing callgrind arguments)

-disable-exception-catching
    Disable Scilab exception catching system.

--parse-file <file>
    Only parse the given file argument without execution and exit

--parse-trace
    Display bison state machine evolution

--pretty-print
    Display pretty-printed code using standard Scilab syntax

ENVIRONMENT VARIABLES

SCIVERBOSE
    Provides debugging information of the startup

JAVA_HOME
    Declares which Java Virtual Machine to use

SCI_DISABLE_TK
    Disables Tk (but not Tcl) features

SCI_JAVA_ENABLE_HEADLESS
    Runs Java Headless VM

SCI_DISABLE_EXCEPTION_CATCHING
    Disable the catch by Scilab of exception (segfault, ...)

AUTHOR
This manual page was written by Julien Puydt for Debian